# Send an envelope

Creates and queues a new envelope for sending, using one of the following methods for attaching documents:

Option 1 – Upload or link a document directly in the request body

Option 2 – Reference a single Signable template

Option 3 – Reference multiple Signable templates

⚠️ Note: Only one document input method can be used per request.

Endpoint: POST /envelopes
Version: 1.0.0
Security: basicAuth

## Response 202 fields (application/json):

  - `http` (integer, required)
    HTTP status code indicating success.
    Example: 202

  - `message` (string, required)
    A human-readable message confirming the envelope is queued.
    Example: "Your envelope with title Ashbrook Road 10/06/25 will be processed and sent out."

  - `href` (string, required)
    URL to retrieve envelope details.
    Example: "https://api.signable.co.uk/v1/envelopes/584ea8b41b0d4c17a96b967433b211e6"

  - `envelope_title` (string, required)
    Title of the envelope that was submitted.
    Example: "Ashbrook Road 10/06/25"

  - `envelope_fingerprint` (string, required)
    Unique identifier (hash) for the envelope.
    Example: "584ea8b41b0d4c17a96b967433b211e6"

  - `envelope_signing_embed` (string)
    An embeddable HTML ` snippet that renders the signing page within your application.
This field is only returned if embed signing has been enabled on your account by the Signable Support team.
To request access, please [contact us](https://www.signable.co.uk/contact).

⚠️ Notes
- This field is only available when sending envelopes using templates (single or multiple).
- This field is only returned in the POST response, it will not be returned in GET /envelopes/{envelope_fingerprint}`.
    Example: "<iframe src=\"https://sign.signable.app/#yXqPrm7HVOaiQUNM4NZI34BocfDWB69lf68lHq90R0s\" width=\"100%\" height=\"95%\" frameborder=\"0\" style=\"border: 0; overflow: hidden\"></iframe>\n"

  - `envelope_password_protect` (boolean)
    Indicates if password protection was enabled on the envelope.

  - `envelope_requires_otp` (boolean)
    Indicates if one-time-password verification was enabled.
    Example: true

  - `envelope_redirect_url` (string)
    URL the signer will be redirected to after completing the envelope.
    Example: "https://www.example.com"

  - `envelope_queued` (string, required)
    Timestamp when the envelope was successfully queued.
    Example: "2025-07-16T09:58:21+0000"

  - `envelope_all_at_once_enabled` (boolean)
    Whether the envelope was sent to all parties simultaneously (true) or sequentially (false).

  - `envelope_parties` (array, required)
    List of parties associated with the envelope, including signer and copy recipients.

  - `envelope_parties.party_id` (string)
    Unique identifier for the party.
    Example: "45831671"

  - `envelope_parties.party_title` (string)
    Name of the party.
    Example: "Alex Mitchell"

  - `envelope_parties.party_mobile_last4` (string,null)
    Last 4 digits of the party’s mobile number (if OTP is enabled).
    Example: "7059"

  - `envelope_parties.party_password` (string,null)
    Password for party access if password protection was enabled.


